%global srcname pytaglib

Name:           python-%{srcname}
Version:        1.4.6
Release:        %mkrel 1
Summary:        Python audio metadata ("tagging") library based on TagLib
Group:          Development/Python
License:        GPLv3+
URL:            https://github.com/supermihi/pytaglib
Source0:        https://github.com/supermihi/pytaglib/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(taglib)

%description
pytaglib is a full-featured, easy-to-use, cross-platform audio metadata
(“tag”) library for Python (all versions supported). It uses the popular,
fast and rock-solid TagLib C++ library internally.

pytaglib is a very thin wrapper about TagLib (<150 lines of code), meaning
that you immediately profit from the underlying library’s speed and stability.

%package -n python3-%{srcname}
Summary:        Python audio metadata ("tagging") library based on TagLib
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-cython
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner

%description -n python3-%{srcname}
pytaglib is a full-featured, easy-to-use, cross-platform audio metadata
(“tag”) library for Python (all versions supported). It uses the popular,
fast and rock-solid TagLib C++ library internally.

pytaglib is a very thin wrapper about TagLib (<150 lines of code), meaning
that you immediately profit from the underlying library’s speed and stability.

%prep
%autosetup -n %{srcname}-%{version} -p1

# Remove pre-generated source
rm -vf src/taglib.cpp
# remove useless shebang
sed -i -e '1{\@^#!/usr/bin/env python@d}' src/pyprinttags.py

%build
export PYTAGLIB_CYTHONIZE=1
%py3_build

%install
%py3_install

# Not interested in having 2 binaries doing same thing
mv -f %{buildroot}%{_bindir}/pyprinttags{3,}

%check
%{__python3} setup.py ptr

%files -n python3-%{srcname}
%license COPYING
%doc README.md CHANGELOG.md
%{_bindir}/pyprinttags
%{python3_sitearch}/%{srcname}-*.egg-info/
%{python3_sitearch}/taglib.*.so
%{python3_sitearch}/pyprinttags.py
%{python3_sitearch}/__pycache__/pyprinttags.*


%changelog
* Thu Oct 22 2020 daviddavid <daviddavid> 1.4.6-1.mga8
+ Revision: 1638582
- initial package python-pytaglib (needed for nocotine+) (mga#27309)

